.main-container {
    display: flex;
    
    flex-direction: row;
    gap: 24px;
    width: 100%;
    background-color: lightblue;

    .name {
        font-size: 48px;
        font-weight: lighter;
        letter-spacing: 5px;
    }
}

.sidebar {
    flex: 1;
    min-width: 350px;
    text-align: center;
    position: sticky;
    top: 0;
    height: 100vh;
    overflow: hidden;
}

.main-content {
    flex: 3;
    min-width: 0;
    background-color: grey;
    padding: 50px;
}

.header {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: justify;
}


.social-links {
    display: flex;
    flex-direction: row;
    text-align: left;
    align-items: left;
    gap: 10px;
    padding: 20px;
}

.about {
    max-width: 600px;
}

.categories {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    padding: 20px;

}

.category-item {
    /*
    */
    text-align: center;
    margin: 10px;
    .category-label {
        font-size: 20px;
        font-weight: lighter;
        letter-spacing: 6px;
        font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        text-decoration: none;
    }
}

/* remove underline from category item links 
a.category-item {
    text-decoration: none;
}
*/

.category-item-stack {
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
    margin: 10px;
}



.category-item-image {
    max-height: 200px;
    object-fit: cover;
    /*
    border-radius: 8px;
    */
    transition: transform 0.3s ease,
                margin 0.7s cubic-bezier(0.4, 0, 0.2, 1);
    position: relative;
    margin-left: -70px;
}

.category-item-fan-left {
    z-index: 3;
    margin-left: 0px;
}

.category-item-fan-middle {
    z-index: 2;
}

.category-item-fan-right {
    z-index: 1;
}

.category-item:hover .category-item-image {
    /*
    transform: scale(1.05);
    */
    margin-left: 0px;
    margin-right: 20px;
    filter: drop-shadow(0px 4px 8px rgba(0, 0, 0, 0.2));
}

@media screen and (max-width: 900px) {
    .main-container {
        flex-direction: column;
    }

    .sidebar {
        position: relative;
        height: auto;
    }
}